### Method

# FwupdPlugin Plugin device_register

since: 0.9.7

#### Declaration [src]

    void
    fu_plugin_device_register (
      FuPlugin* self,
      FuDevice* device
    )

#### Description [src]

Registers the device with other plugins so they can set metadata.

Plugins do not have to call this manually as this is done automatically when using `fu_plugin_add_device()`. They may wish to use this manually if for instance the coldplug should be ignored based on the metadata set from other plugins.

Available since: 0.9.7

#### Parameters

`device`

  Type: `FuDevice`

  A device.

  The data is owned by the caller of the method.